## rmysql 0.9

=== DESCRIPTION ===
Package: RMySQL
Version: 0.9-3
Date: 2012-01-17
Title: R interface to the MySQL database
Author: David A. James and Saikat DebRoy
Maintainer: Jeffrey Horner <jeffrey.horner@gmail.com>
Description: Database interface and MySQL driver for R.  This version
        complies with the database interface definition as implemented
        in the package DBI 0.2-2.
LazyLoad: true
Depends: R (>= 2.8.0), methods, DBI (>= 0.2-2), utils
License: GPL-2
URL: http://biostat.mc.vanderbilt.edu/RMySQL,
        https://github.com/jeffreyhorner/RMySQL
Collate: S4R.R zzz.R MySQLSupport.R dbObjectId.R MySQL.R
Packaged: 2012-01-17 16:38:02 UTC; hornerj
Repository: CRAN
Date/Publication: 2012-01-17 18:10:41

## rmysql 0.10.8

=== DESCRIPTION ===
Package: RMySQL
Version: 0.10.8
Title: Database Interface and 'MySQL' Driver for R
Description: Implements 'DBI' Interface to 'MySQL' and 'MariaDB' Databases.
Authors@R: c(person("Jeroen", "Ooms", email = "jeroen.ooms@stat.ucla.edu", role = c("aut", "cre")),
    person("David", "James", role = "aut"),
    person("Saikat", "DebRoy", role = "aut"),
    person("Hadley", "Wickham", email = "hadley@rstudio.com", role = "aut"),
    person("Jeffrey", "Horner", role = "aut"),
    person("RStudio", role = "cph"))
Depends: R (>= 2.8.0), DBI (>= 0.3.1)
Imports: methods
License: GPL-2
URL: https://github.com/rstats-db/rmysql,
        https://downloads.mariadb.org/connector-c/
BugReports: https://github.com/rstats-db/rmysql/issues
SystemRequirements: libmariadb-client-dev | libmariadb-client-lgpl-dev
        | libmysqlclient-dev (deb), mariadb-devel (rpm), mariadb |
        mysql-connector-c (brew), mysql56_dev (csw)
NeedsCompilation: yes
Collate: 'mysql.R' 'driver.R' 'connection.R' 'data-type.R' 'default.R'
        'escaping.R' 'result.R' 'extension.R' 'is-valid.R' 'table.R'
        'transaction.R'
Suggests: testthat
RoxygenNote: 5.0.1
Packaged: 2016-01-28 22:13:44 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  David James [aut],
  Saikat DebRoy [aut],
  Hadley Wickham [aut],
  Jeffrey Horner [aut],
  RStudio [cph]
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Repository: CRAN
Date/Publication: 2016-01-29 01:02:42

## rmysql 0.10.13

=== DESCRIPTION ===
Package: RMySQL
Version: 0.10.13
Title: Database Interface and 'MySQL' Driver for R
Description: A 'DBI' interface to 'MySQL' / 'MariaDB'. The 'RMySQL' package contains an 
    old implementation based on legacy code from S-PLUS which being phased out. A modern
    'MySQL' client based on 'Rcpp' is available from the 'RMariaDB' package on 'Github':
    <https://github.com/rstats-db/RMariaDB>.
Authors@R: c(person("Jeroen", "Ooms", email = "jeroen@berkeley.edu", role = c("aut", "cre")),
    person("David", "James", role = "aut"),
    person("Saikat", "DebRoy", role = "aut"),
    person("Hadley", "Wickham", email = "hadley@rstudio.com", role = "aut"),
    person("Jeffrey", "Horner", role = "aut"),
    person("RStudio", role = "cph"))
Depends: R (>= 2.8.0), DBI (>= 0.4)
Imports: methods
License: GPL-2
URL: https://downloads.mariadb.org/connector-c/ (upstream)
BugReports: https://github.com/rstats-db/rmysql/issues
SystemRequirements: libmariadb-client-dev | libmariadb-client-lgpl-dev
        | libmysqlclient-dev (deb), mariadb-devel (rpm), mariadb |
        mysql-connector-c (brew), mysql56_dev (csw)
NeedsCompilation: yes
Collate: 'mysql.R' 'driver.R' 'connection.R' 'data-type.R' 'default.R'
        'escaping.R' 'result.R' 'extension.R' 'is-valid.R' 'table.R'
        'transaction.R'
Suggests: testthat
Packaged: 2017-08-14 16:00:27 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  David James [aut],
  Saikat DebRoy [aut],
  Hadley Wickham [aut],
  Jeffrey Horner [aut],
  RStudio [cph]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-08-14 18:34:42 UTC

## rmysql 0.10.15

=== debian/changelog ===
rmysql (0.10.15-1build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:34:29 +0000

rmysql (0.10.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 May 2018 16:23:59 -0500

rmysql (0.10.14-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Mar 2018 08:49:12 -0500

rmysql (0.10.13-2) unstable; urgency=medium

  * debian/control: See Build-Depends: to default-libmysqlclient-dev
    instead of hard-wiring mariadb (closes: #890290)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Feb 2018 19:36:19 -0600

rmysql (0.10.13-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

  * debian/format: Increased to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Aug 2017 16:37:37 -0500

rmysql (0.10.12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 09 Jul 2017 11:08:37 -0500

rmysql (0.10.11-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Apr 2017 12:21:03 -0500

rmysql (0.10.9-3) unstable; urgency=medium

  * debian/control: Change Build-Depends to libmariadb-dev (Closes: #843842)
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Nov 2016 06:12:59 -0600

rmysql (0.10.9-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Jun 2016 18:36:48 -0500

rmysql (0.10.9-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set (Build-)Depends: to (r-cran-)dbi (>= 0.4)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 May 2016 21:47:37 -0500

rmysql (0.10.8-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Jan 2016 19:52:00 -0600

rmysql (0.10.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 27 Oct 2015 14:31:42 -0500

rmysql (0.10.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Sep 2015 11:50:29 -0500

rmysql (0.10.5-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Aug 2015 11:06:31 -0500

rmysql (0.10.4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Switch Build-Depends: to libmariadb-client-lgpl-dev

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Jul 2015 20:37:29 -0500

rmysql (0.10.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 May 2015 09:15:06 -0500

rmysql (0.10.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Feb 2015 07:04:30 -0600

rmysql (0.10.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Jan 2015 17:04:15 -0600

rmysql (0.10-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Jan 2015 17:43:18 -0600

rmysql (0.9-3-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 17:59:45 -0500

rmysql (0.9-3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Jan 2012 16:02:21 -0600

rmysql (0.9-0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Jan 2012 11:13:21 -0600

rmysql (0.8-0-2) unstable; urgency=low

  * debian/control: Change Build-Depends: to libmysqlclient-dev
  							(Closes: #652137)
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Dec 2011 20:38:51 -0600

rmysql (0.8-0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Jun 2011 17:17:49 -0500

rmysql (0.7-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jul 2010 06:43:18 -0500

rmysql (0.7-4-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 14:10:35 -0600



=== debian/control ===
Source: rmysql
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.4.4), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
Homepage: https://cran.r-project.org/package=RMySQL

Package: r-cran-rmysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-dbi (>= 0.4)
Description: GNU R package providing a DBI-compliant interface to MySQL
 The package implements access to MySQL databases via the DBI interface of R.

## rmysql 0.10.16

=== debian/changelog ===
rmysql (0.10.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Jan 2019 11:41:37 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.4.4), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.5.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

## rmysql 0.10.17

=== debian/changelog ===
rmysql (0.10.17-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 08:01:09 -0500

rmysql (0.10.17-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Mar 2019 19:56:56 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.5.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.6.1), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

## rmysql 0.10.19

=== DESCRIPTION ===
Package: RMySQL
Version: 0.10.19
Title: Database Interface and 'MySQL' Driver for R
Description: Legacy 'DBI' interface to 'MySQL' / 'MariaDB' based on old code
    ported from S-PLUS. A modern 'MySQL' client based on 'Rcpp' is available 
    from the 'RMariaDB' package.
Authors@R: c(person("Jeroen", "Ooms", email = "jeroen@berkeley.edu", 
      role = c("aut", "cre"), comment = c(ORCID = "0000-0002-4035-0289")),
    person("David", "James", role = "aut"),
    person("Saikat", "DebRoy", role = "aut"),
    person("Hadley", "Wickham", email = "hadley@rstudio.com", role = "aut"),
    person("Jeffrey", "Horner", role = "aut"),
    person("RStudio", role = "cph"))
Depends: R (>= 2.8.0), DBI (>= 0.4)
Imports: methods
License: GPL-2
URL: https://downloads.mariadb.org/connector-c/ (upstream)
BugReports: https://github.com/r-dbi/rmysql/issues
SystemRequirements: libmariadb-client-dev | libmariadb-client-lgpl-dev
        | libmysqlclient-dev (deb), mariadb-devel (rpm), mariadb |
        mysql-connector-c (brew), mysql56_dev (csw)
NeedsCompilation: yes
Collate: 'mysql.R' 'driver.R' 'connection.R' 'data-type.R' 'default.R'
        'escaping.R' 'result.R' 'extension.R' 'is-valid.R' 'table.R'
        'transaction.R'
Suggests: RMariaDB, testthat, curl
RoxygenNote: 7.0.2
Packaged: 2020-02-03 14:10:52 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  David James [aut],
  Saikat DebRoy [aut],
  Hadley Wickham [aut],
  Jeffrey Horner [aut],
  RStudio [cph]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2020-02-03 16:40:05 UTC

=== debian/changelog ===
rmysql (0.10.19-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Feb 2020 06:36:57 -0600

rmysql (0.10.18-2) unstable; urgency=medium

  * Source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jan 2020 17:43:17 -0600

rmysql (0.10.18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Dec 2019 23:03:36 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.6.1), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.6.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

## rmysql 0.10.20

=== debian/changelog ===
rmysql (0.10.20-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:32:58 +0000

rmysql (0.10.20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Mar 2020 09:26:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.6.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.6.3), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git

## rmysql 0.10.21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RMySQL
-Version: 0.10.19
+Version: 0.10.21
 Title: Database Interface and 'MySQL' Driver for R
 Description: Legacy 'DBI' interface to 'MySQL' / 'MariaDB' based on old code
     ported from S-PLUS. A modern 'MySQL' client based on 'Rcpp' is available 
@@ -25,7 +25,7 @@
         'transaction.R'
 Suggests: RMariaDB, testthat, curl
 RoxygenNote: 7.0.2
-Packaged: 2020-02-03 14:10:52 UTC; jeroen
+Packaged: 2020-12-15 20:33:46 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   David James [aut],
   Saikat DebRoy [aut],
@@ -34,4 +34,4 @@
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-02-03 16:40:05 UTC
+Date/Publication: 2020-12-15 21:50:08 UTC

=== debian/changelog ===
rmysql (0.10.21-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Dec 2020 17:58:13 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-r, r-base-dev (>= 3.6.3), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.3), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

## rmysql 0.10.23

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RMySQL
-Version: 0.10.21
+Version: 0.10.23
 Title: Database Interface and 'MySQL' Driver for R
 Description: Legacy 'DBI' interface to 'MySQL' / 'MariaDB' based on old code
     ported from S-PLUS. A modern 'MySQL' client based on 'Rcpp' is available 
@@ -23,9 +23,9 @@
 Collate: 'mysql.R' 'driver.R' 'connection.R' 'data-type.R' 'default.R'
         'escaping.R' 'result.R' 'extension.R' 'is-valid.R' 'table.R'
         'transaction.R'
-Suggests: RMariaDB, testthat, curl
+Suggests: testthat, curl
 RoxygenNote: 7.0.2
-Packaged: 2020-12-15 20:33:46 UTC; jeroen
+Packaged: 2021-12-13 14:49:49 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   David James [aut],
   Saikat DebRoy [aut],
@@ -34,4 +34,4 @@
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-12-15 21:50:08 UTC
+Date/Publication: 2021-12-14 13:00:15 UTC

=== debian/changelog ===
rmysql (0.10.23-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Dec 2021 09:19:35 -0600

rmysql (0.10.22-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 21:22:08 -0500

rmysql (0.10.22-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)
  
  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Jul 2021 14:13:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.3), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RMySQL_([-\d\.]*)\.tar\.gz

## rmysql 0.10.25

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RMySQL
-Version: 0.10.23
+Version: 0.10.25
 Title: Database Interface and 'MySQL' Driver for R
 Description: Legacy 'DBI' interface to 'MySQL' / 'MariaDB' based on old code
     ported from S-PLUS. A modern 'MySQL' client based on 'Rcpp' is available 
@@ -25,7 +25,7 @@
         'transaction.R'
 Suggests: testthat, curl
 RoxygenNote: 7.0.2
-Packaged: 2021-12-13 14:49:49 UTC; jeroen
+Packaged: 2022-12-05 23:16:39 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   David James [aut],
   Saikat DebRoy [aut],
@@ -34,4 +34,4 @@
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-12-14 13:00:15 UTC
+Date/Publication: 2022-12-06 01:02:30 UTC

=== debian/changelog ===
rmysql (0.10.25-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Dec 2022 20:32:54 -0600

rmysql (0.10.24-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Oct 2022 23:02:08 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

## rmysql 0.10.27

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RMySQL
-Version: 0.10.25
+Version: 0.10.27
 Title: Database Interface and 'MySQL' Driver for R
 Description: Legacy 'DBI' interface to 'MySQL' / 'MariaDB' based on old code
-    ported from S-PLUS. A modern 'MySQL' client based on 'Rcpp' is available 
+    ported from S-PLUS. A modern 'MySQL' client written in 'C++' is available
     from the 'RMariaDB' package.
 Authors@R: c(person("Jeroen", "Ooms", email = "jeroen@berkeley.edu", 
       role = c("aut", "cre"), comment = c(ORCID = "0000-0002-4035-0289")),
@@ -25,7 +25,7 @@
         'transaction.R'
 Suggests: testthat, curl
 RoxygenNote: 7.0.2
-Packaged: 2022-12-05 23:16:39 UTC; jeroen
+Packaged: 2023-12-04 13:05:18 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   David James [aut],
   Saikat DebRoy [aut],
@@ -34,4 +34,4 @@
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-12-06 01:02:30 UTC
+Date/Publication: 2023-12-04 15:20:12 UTC

=== debian/changelog ===
rmysql (0.10.27-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Dec 2023 16:44:34 -0600

rmysql (0.10.26-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Oct 2023 17:26:16 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

## rmysql 0.10.29

=== debian/changelog ===
rmysql (0.10.29-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Oct 2024 08:46:42 -0500

rmysql (0.10.28-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Aug 2024 08:45:52 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

## rmysql 0.11.0

=== DESCRIPTION ===
Package: RMySQL
Version: 0.11.0
Title: Database Interface and 'MySQL' Driver for R
Description: Legacy 'DBI' interface to 'MySQL' / 'MariaDB' based on old code
    ported from S-PLUS. A modern 'MySQL' client written in 'C++' is available
    from the 'RMariaDB' package.
Authors@R: c(person("Jeroen", "Ooms", email = "jeroenooms@gmail.com", 
      role = c("aut", "cre"), comment = c(ORCID = "0000-0002-4035-0289")),
    person("David", "James", role = "aut"),
    person("Saikat", "DebRoy", role = "aut"),
    person("Hadley", "Wickham", email = "hadley@rstudio.com", role = "aut"),
    person("Jeffrey", "Horner", role = "aut"),
    person("RStudio", role = "cph"))
Depends: R (>= 2.8.0), DBI (>= 0.4)
Imports: methods
License: GPL-2
URL: https://r-dbi.r-universe.dev/RMySQL
        https://downloads.mariadb.org/connector-c/
BugReports: https://github.com/r-dbi/rmysql/issues
SystemRequirements: libmariadb-client-dev | libmariadb-client-lgpl-dev
        | libmysqlclient-dev (deb), mariadb-devel (rpm), mariadb |
        mysql-connector-c (brew), mysql56_dev (csw)
NeedsCompilation: yes
Collate: 'mysql.R' 'driver.R' 'connection.R' 'data-type.R' 'default.R'
        'escaping.R' 'result.R' 'extension.R' 'is-valid.R' 'table.R'
        'transaction.R'
Suggests: testthat, curl
RoxygenNote: 7.3.2.9000
Packaged: 2025-02-08 14:14:49 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  David James [aut],
  Saikat DebRoy [aut],
  Hadley Wickham [aut],
  Jeffrey Horner [aut],
  RStudio [cph]
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-02-08 14:50:02 UTC

=== debian/changelog ===
rmysql (0.11.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 08 Feb 2025 09:42:52 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git

## rmysql 0.11.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RMySQL
-Version: 0.11.0
+Version: 0.11.1
 Title: Database Interface and 'MySQL' Driver for R
 Description: Legacy 'DBI' interface to 'MySQL' / 'MariaDB' based on old code
     ported from S-PLUS. A modern 'MySQL' client written in 'C++' is available
@@ -26,7 +26,7 @@
         'transaction.R'
 Suggests: testthat, curl
 RoxygenNote: 7.3.2.9000
-Packaged: 2025-02-08 14:14:49 UTC; jeroen
+Packaged: 2025-04-01 13:02:47 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   David James [aut],
   Saikat DebRoy [aut],
@@ -35,4 +35,4 @@
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-02-08 14:50:02 UTC
+Date/Publication: 2025-04-01 13:40:02 UTC

=== debian/changelog ===
rmysql (0.11.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Apr 2025 11:58:56 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.3), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rmysql package
# Copyright 2003 - 20186 by Dirk Eddelbuettel <edd@debian.org>
#                        and Steffen Moeller <moeller@inb.uni-luebeck.de>

%:
	dh $@ --buildsystem R

## additional chmod to silence lintian (NB -arch or -indep needed!!)
common-binary-post-install-arch::
		rm -vf $(debRlib)/rmysql/LICENSE.txt \
			$(debRlib)/RMySQL/libs/libmySQL.dll

## rmysql 0.11.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RMySQL
-Version: 0.11.1
+Version: 0.11.2
 Title: Database Interface and 'MySQL' Driver for R
 Description: Legacy 'DBI' interface to 'MySQL' / 'MariaDB' based on old code
     ported from S-PLUS. A modern 'MySQL' client written in 'C++' is available
@@ -26,8 +26,8 @@
         'transaction.R'
 Suggests: testthat, curl
 RoxygenNote: 7.3.2.9000
-Packaged: 2025-04-01 13:02:47 UTC; jeroen
-Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
+Packaged: 2026-03-02 16:01:37 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>),
   David James [aut],
   Saikat DebRoy [aut],
   Hadley Wickham [aut],
@@ -35,4 +35,4 @@
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-04-01 13:40:02 UTC
+Date/Publication: 2026-03-02 20:40:08 UTC

=== debian/changelog ===
rmysql (0.11.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Mar 2026 15:05:45 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.3), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.5.2), default-libmysqlclient-dev, r-cran-dbi (>= 0.4)
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rmysql
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rmysql.git
 Homepage: https://cran.r-project.org/package=RMySQL

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RMySQL_([-\d\.]*)\.tar\.gz
